Author Topic: Update 2.12  (Read 533 times)

Offline casi

  • Posts: 106
Update 2.12
« on: July 18, 2018, 09:16:14 AM »
Hallo. Ich habe einige Baker Versionen die noch auf Version 2.8.3 laufen. Nun habe ich mich damit beschäftigt wegen den angekündigten PHP versionen diese auf die neueste version upzugraden. Was für eine tortur! Da geht wohl ziemlich alles schief was schiefgehen kann. Das Modul HTML habe ich ersetzt mit code2. bei code2 geht aber die letzte und aktuelle version nicht und nur die version code2_2.1.11 scheint zu funktionieren. Die droplets werden nicht mehr angezeigt und der code in den klammer ausgeschrieben [[droplet_hier]]. mit dem aktualisieren mit droplets_v3_1_2 geht das immer noch nicht. die foldergallery hat sich komplett verabschiedet. mit der neuesten version foldergallery_v3_0_ 5 erhält man diese message: [166] Ein Upgrade oder Installation von einer WebsiteBaker Version kleiner 2.12.0 ist nicht möglich.

Dies ist die mehr oder weniger einfachste seite zum updaten. ich habe da ein komisches gefühl im bauch wenn eine komplexe seite angepasst werden soll. hat jemand einen vorschlag wie diese updates ausgeführt werden können? soll man auf Baker 2.12 noch verzichten? viele seiten der module enden in 404 seiten...

Offline dbs

  • Betatester
  • **
  • Posts: 7549
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Update 2.12
« Reply #1 on: July 18, 2018, 09:28:17 AM »
Nirgends steht du kannst direkt von 2.8.3 auf 2.12 upgraden.

Damit deine Droplets funktionieren muss unter Admin-Tools > Frontend Output Filter  der Haken bei Droplets drin sein. Vielleicht fehlt er?
PHP-Fehler verhindern auch die Ausführung von Droplets. Wenn du Fehler hast, du findest sie im Menü oben im Button X.
Steht da nichts, dann bitte in Optionen > Erweiterte Optionen > Server Einstellungen  die PHP-Fehlerberichte auf Produktion stellen.

Bei Problemen mal im Forum suchen, andere standen evtl. auch schon davor.

Offline casi

  • Posts: 106
Re: Update 2.12
« Reply #2 on: July 18, 2018, 09:31:15 AM »
hab kein direktes update gemacht, zuerst auf 2.10

Offline hgs

  • Betatester
  • **
  • Posts: 920
    • EFG MG
Re: Update 2.12
« Reply #3 on: July 18, 2018, 03:06:57 PM »
Dann hast du erst mal alles richtig gemacht.
Probleme gibt es immer wieder mit uralten nicht mehr gepflegten Modulen aus irgendwelchen Quellen.

Zur Zeit testen wir mit der neusten Version von WebsiteBaker ein upgrade in einem Rutsch von WB 2.8.3 (Rev. 1611) auf die neuste Version.
Da waren die ersten Tests sehr vielversprechend. Natürlich gilt das nur für die mitgelieferten Module von WB (wysiwyg, form, news, code, wrapper, menue link).

Gegen die zum Teil weißen Seiten bei angesprochenen "alten Fremdmodulen" wird es leider kein Heilmittel geben.

Wenn du weitere Probleme hast, wird es hier immer ein Lösungsversuch geben.
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline msfrog

  • Posts: 54
Re: Update 2.12
« Reply #4 on: July 18, 2018, 03:20:34 PM »
Ich habe mittlerweile auch einige Seiten von 2.8.3 aktualisiert, alle mit Umweg über 2.10, bei keiner gabs nennenswerte Probleme. Für Inkompatibilitäten uralter Module kann WB nichts, aber diese Dinger werden so oder so Probleme machen, weil oft Funktionen genutzt werden, die in PHP 7 nicht mehr zur Verfügung stehen. Die muss man dann eben austauschen oder selbst anpassen. Anders gehts leider nicht.